<form *ngIf="product" [formGroup]="productForm">

  <div style="display: flex; align-items: center">
    <h2>{{product.name | uppercase}}</h2>
    <div style="margin-left: 10px; color: #1976d2; cursor: pointer" *ngIf="!this.editMode" (click)="this.handleEditMode()"> Edit</div>
  </div>


  <div>
    <label *ngIf="!this.editMode" for="product-name">Name : {{product.name}}</label>
    <label *ngIf="this.editMode">Name : </label>
    <input *ngIf="this.editMode" id="product-name" formControlName="name" placeholder="Name">
  </div>
  <div>
    <label *ngIf="!this.editMode" for="product-quantity">Quantity : {{product.quantity}}</label>
    <label *ngIf="this.editMode" for="product-quantity">Quantity : </label>
    <input *ngIf="this.editMode" id="product-quantity" formControlName="quantity" placeholder="Quantity">
  </div>
  <div>
    <label *ngIf="!this.editMode" for="product-origin">Origin : {{product.origin}}</label>
    <label *ngIf="this.editMode" for="product-origin">Origin : </label>
    <input *ngIf="this.editMode" id="product-origin" formControlName="origin" placeholder="Origin">
  </div>

  <div *ngIf="!this.editMode" class="button">
    <button title="cancel" [routerLink]="[ '/product','list']" routerLinkActive="activeLinkClass"> Go back</button>
  </div>
  <div *ngIf="this.editMode" class="button" style="padding-top: 20px">
    <a class="btn-apply" title="submit" (click)="this.handleApply()">Apply</a>
    <a class="btn-cancel" title="cancel" (click)="this.handleCancel()">Cancel</a>
  </div>


</form>


